---
id: community
title: Community SDKs ♥
---

We from the Unleash teams take care of a handful of official SDKs for all the major programming languages.

We ♥ love ♥ our contributors, and your effort make it easier to use Unleash everywhere.

Community developed Client SDKs we already know about:

- [cognitedata/unleash-client-rust](https://github.com/cognitedata/unleash-client-rust) (Rust)
- [silvercar/unleash-client-kotlin](https://github.com/silvercar/unleash-client-kotlin) (Kotlin)
- [uekoetter.dev/unleash-client-dart](https://pub.dev/packages/unleash) (Dart)
- [minds/unleash-client-php](https://gitlab.com/minds/unleash-client-php) (PHP)
- [Stogon/unleash-bundle](https://git.stogon.io/Stogon/unleash-bundle/) (PHP - Symfony)
- [mikefrancis/laravel-unleash](https://github.com/mikefrancis/laravel-unleash) (PHP - Laravel)
- [afontaine/unleash_ex](https://gitlab.com/afontaine/unleash_ex) (Elixir)
- [AppsFlyer/clojure-unleash](https://github.com/AppsFlyer/unleash-client-clojure) (Clojure)
- [pmb0/nestjs-unleash](https://github.com/pmb0/nestjs-unleash) (NestJS - Node.js)
- _...your implementation for your favorite language._

### Implement your own SDK? {#implement-your-own-sdk}

If none of the above SDKs fits your need there is always the option of developing your own SDK. To guide the implementation we have a few resources available:

- [Unleash Client Specifications](https://github.com/Unleash/client-specification) - Used by all official SDKs to make sure they all behave correctly across different language implementations. This helps us verify that 10% of the users in the Java SDK means the exactly same 10% of the users in Python.
- [Client SDK overview](../client-specification) - Overall guide of the Unleash Architecture and important aspects of the SDK role in it all.
